package de.hawhamburg.reachability.constants;

/**
 * Frequently used type constants.<br><br>
 * 
 * This class provides frequently used type constants.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public final class TypeConstants {
    
    /**
     * No instances of this constants class.
     */
    private TypeConstants() { }

    /**
     * There is a type called <i>INTEGER</i> defined.
     */
    public static final int INTEGER  = 10;

    /**
     * There is a type called <i>DOUBLE</i> defined.
     */
    public static final int DOUBLE   = 20;

    /**
     * There is a type called <i>LONG</i> defined.
     */
    public static final int LONG     = 30;

    /**
     * There is a type called <i>BOOLEAN</i> defined.
     */
    public static final int BOOLEAN  = 40;

    /**
     * There is a type called <i>STRING</i> defined.
     */
    public static final int STRING   = 50;
    
}
