package de.hawhamburg.stresscompanion.output;

import de.hawhamburg.lifecycle.data.JsonLPObject;

/**
 * Representation of Stress informations in JSON format.<br><br>
 * 
 * This information will be put on an ActiveMQ thread.
 * 
 * @author Benjamin Lindmeann
 * @since 2012-06-04
 */
public class JsonStressCompanionInformation extends JsonLPObject {

    /** The currently calculated stress level of the user. */
    public StressCompanionStressLevel state;
    
    /** Public default constructor to create instances of this class. */
    public JsonStressCompanionInformation() { }
}
